package vue;

import java.util.Observable;
import java.util.Observer;

import valeurs.ValeursObservables;

public class HistogrammeObserver extends Histogramme implements Observer {

	public HistogrammeObserver(ValeursObservables valeurs) {
		super(valeurs);
		valeurs.addObserver(this);
	}
	
	@Override
	public void update(Observable o, Object arg) {
		repaint();
	}
}
